#
# spec file for package perl-Devel-Cycle
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-Cycle
Version:        1.12
Release:        30.1
%define cpan_name Devel-Cycle
Summary:        Find memory cycles in objects
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-Cycle/
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         Devel-Cycle-pm.patch
Patch1:         Devel-Cycle-t.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This is a simple developer's tool for finding circular references in
objects and other types of references. Because of Perl's reference-count
based memory management, circular references will cause memory leaks.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 
%patch1 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Devel-Cycle/Changes
  1.12 Fri Nov 14 08:56:23 EST 2014
  - Moved to GitHub at https://github.com/lstein/Devel-Cycle
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 19 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- add pm, t patch (rt.cpan.org#56681)
  https://rt.cpan.org/Public/Bug/Display.html?id=56681
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Tue Nov 24 2009 rschweikert@novell.com
- Initial build, version 1.11
